Page MenuHomePhabricator

Js UI is too sensitive against invalid data (tracking)
Closed, ResolvedPublic

Description

The JS UI should be fairly robust against unexpected or broken data coming from the database or from user input. Failure to render a value or initialize widgets for a statement should not render the rest of the page unusable. Safe points should be implemented on multiple levels, at least after each Snak, but perhaps also after each Statement, statement group, and page section.

Event Timeline

daniel created this task.Apr 14 2015, 10:12 AM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added a subscriber: daniel.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 14 2015, 10:12 AM
daniel renamed this task from Js UI is too sensitive against invalid data to Js UI is too sensitive against invalid data (tracking).Apr 14 2015, 10:21 AM
daniel set Security to None.
Lydia_Pintscher moved this task from incoming to hold on the Wikidata board.Apr 29 2015, 1:22 PM
Lydia_Pintscher triaged this task as Normal priority.May 15 2015, 1:38 PM
Lydia_Pintscher closed this task as Resolved.Apr 23 2017, 3:29 PM
Lydia_Pintscher claimed this task.